<?php
namespace Claromentis\Blog\AbsoluteUrl;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_c7b86566f5835e34c8ef0" . "cf3b36b6046" => base64_decode("L2Js" . "b2cv"), "_95a58f0bfdaaa9a6ee1befaa909" . "a62e5" => base64_decode("YWRtaW4ubGFicy5" . "hYnNvbHV0ZV91cm" . "wuYmxvZw=="));
use Claromentis\Admin\Sysadmin\AbsoluteUrl\AbstractAbsoluteUrl;
use Claromentis\Core\DAL\QueryBuilder;
abstract class AbstractBlogAbsoluteUrl extends AbstractAbsoluteUrl
{
    
    
    
    
    public function getName() : string
    {
        return ($this->lmsg)($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_95a58f0bfda" . "aa9a6ee1befa" . "a909a62e5"]);
    }
    
    
    
    
    public function getLink($_0ea4e32b57963ac0cb3057e03e9aef64) : string
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_c7b86566f5835e34c8ef0cf3b36b" . "6046"] . $_0ea4e32b57963ac0cb3057e03e9aef64;
    }
    
    
    
    
    public abstract function getType() : string;
    
    
    
    
    public abstract function getQueryBuilder() : QueryBuilder;
}